//#version 120 //attribute
precision mediump float;
const float dx = 0.003922;
uniform sampler2D fTextureOrg;
varying vec2 aCoordinate;
uniform float alpha;//透明度
bool isEques(const vec4 colorOne, const vec4 colorTwo);
void main() {
    if (aCoordinate.x <= 0.001 || aCoordinate.y<=0.001 || aCoordinate.x >= 0.999 || aCoordinate.y >=0.999){
        gl_FragColor = vec4(1, 1, 1, 1);
    }else{
        vec4 fragColor = texture2D(fTextureOrg, aCoordinate);
        gl_FragColor.a = alpha;
        gl_FragColor = vec4(fragColor.r, fragColor.g, fragColor.b, 0.6*alpha);//透明色
        if (isEques(fragColor, vec4(0, 0, 0, 0))){
            gl_FragColor = vec4(1, 1, 1, 1);//透明色
        }
    }
}
bool isEques(const vec4 colorOne, const vec4 colorTwo){
    float r = colorOne.r - colorTwo.r;
    float g = colorOne.g- colorTwo.g;
    float b = colorOne.b- colorTwo.b;
    float a = colorOne.a- colorTwo.a;
    if ((r < dx && r> -dx)
    &&(g < dx && g> -dx)
    &&(b < dx && b> -dx)
    &&(a < dx && a> -dx)
    ){
        return true;
    } else {
        return false;
    }
}